import { upload } from '@/services/comm';

export const customUploadImage = async (file, insertFn) => {
  const formData = new FormData();
  formData.append("file", file);
  formData.append("type", file.type);

  const res = await upload(file);
  // console.log('----------内部--res->', res);
  insertFn(`${prefix}` + res.attachUrl, '', res.href)
}

export const customUploadVideo = async (file, insertFn) => {
  const formData = new FormData();
  formData.append("file", file);
  formData.append("type", file.type);

  const res = await upload(file);
  insertFn(`${prefix}` + res.attachUrl)
}


export const customBrowseAndUploadVideo = (setLoading) => (insertFn) => {
  const input = document.createElement('input');
  input.type = "file";
  input.accept = ".mp4,.m4v";
  input.onchange = () => {
    const files = input.files;
    if (!files || files.length < 1) return;

    const file = files[0];

    const formData = new FormData();
    // console.log(file)
    formData.append("file", file);
    formData.append("type", file.type);

    setLoading(true)
    upload(file).then(res => {
      insertFn(`${prefix}` + res.attachUrl)
    }).finally(() => {
      setLoading(false);
    });
  }

  input.click();
}
